> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-dropfunction.md).

# DROP FUNCTION

### DROP FUNCTION

DROP FUNCTION — remove a function

### Synopsis

```

DROP FUNCTION [ IF EXISTS ] name [ ( [ [ argmode ] [ argname ] argtype [, ...] ] ) ] [, ...]
    [ CASCADE | RESTRICT ]
```

### Description

`DROP FUNCTION` removes the definition of an existing function. To execute this command the user must be the owner of the function. The argument types to the function must be specified, since several different functions can exist with the same name and different argument lists.

### Parameters

`IF EXISTS` : Do not throw an error if the function does not exist. A notice is issued in this case.

*`name`* : The name (optionally schema-qualified) of an existing function. If no argument list is specified, the name must be unique in its schema.

*`argmode`* : The mode of an argument: `IN`, `OUT`, `INOUT`, or `VARIADIC`. If omitted, the default is `IN`. Note that `DROP FUNCTION` does not actually pay any attention to `OUT` arguments, since only the input arguments are needed to determine the function's identity. So it is sufficient to list the `IN`, `INOUT`, and `VARIADIC` arguments.

*`argname`* : The name of an argument. Note that `DROP FUNCTION` does not actually pay any attention to argument names, since only the argument data types are needed to determine the function's identity.

*`argtype`* : The data type(s) of the function's arguments (optionally schema-qualified), if any.

`CASCADE` : Automatically drop objects that depend on the function (such as operators or triggers), and in turn all objects that depend on those objects (see [Section 5.15](/the-sql-language/ddl/ddl-depend.md)).

`RESTRICT` : Refuse to drop the function if any objects depend on it. This is the default.

### Examples

This command removes the square root function:

```

DROP FUNCTION sqrt(integer);
```

Drop multiple functions in one command:

```

DROP FUNCTION sqrt(integer), sqrt(bigint);
```

If the function name is unique in its schema, it can be referred to without an argument list:

```

DROP FUNCTION update_employee_salaries;
```

Note that this is different from

```

DROP FUNCTION update_employee_salaries();
```

which refers to a function with zero arguments, whereas the first variant can refer to a function with any number of arguments, including zero, as long as the name is unique.

### Compatibility

This command conforms to the SQL standard, with these PostgreSQL extensions:

* The standard only allows one function to be dropped per command.
* The `IF EXISTS` option
* The ability to specify argument modes and names

### See Also

[CREATE FUNCTION](/reference/sql-commands/sql-createfunction.md), [ALTER FUNCTION](/reference/sql-commands/sql-alterfunction.md), [DROP PROCEDURE](/reference/sql-commands/sql-dropprocedure.md), [DROP ROUTINE](/reference/sql-commands/sql-droproutine.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-dropfunction.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-dropfunction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
